// The Stock program is following the MVC design template and this is our controller object.
// The main functionality for buying and selling the stocks are in this controller object.
// This is the ONLY file you may edit

import java.util.LinkedList;
import java.util.Scanner;

public class Controller {
	static LinkedList<Stock> allStock = new LinkedList<Stock>();
	
	public Controller() {
		Scanner input = new Scanner(System.in);
		
		Controller.buyStock("Google", 10, 100);
		Controller.buyStock("Amazon", 20, 200);
		Controller.buyStock("eBay", 30, 300);
		Controller.buyStock("Google", 10, 100);
		Controller.buyStock("Google", 20, 200);
		Controller.buyStock("Apple", 30, 300);
		
		Controller.printStock();
		
		input.close();
	}
			
	public static void buyStock(String name, int quantity, double price) {
		Stock temp = new Stock(name,quantity,price);
		allStock.push(temp);
	}
	
	public static void printStock()
	{
		  // Displaying the list 
	      System.out.println("LinkedList:" + allStock); 
	        
	      // find a stock by its name
	      System.out.println("Google is at index:" + allStock.indexOf("Google"));
	      int counter = 0;
	      double total = 0;
	      
	      for(int i=0; i < allStock.size(); i++){
	          System.out.println("Element at index " + i +" is: "+ allStock.get(i));
	          if (allStock.get(i).toString() == "Google") {
	        	  counter++;
	        	  total += allStock.get(i).getQuantity();
	          }
	          System.out.println("There were " + counter + " Google stocks");
	          System.out.println("Total of Google stock is " + total);
	        } 
	   } 
	}

